<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
	                       http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd
		                   http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

	<!-- The controllers are autodetect classes labeled with the @Controller 
		annotation -->
	<context:component-scan
		base-package="com.softtek.academy.template">
		<context:include-filter
			expression="org.springframework.stereotype.Controller"
			type="annotation" />
	</context:component-scan>

	<!-- Handles HTTP GET requests for /resources/** by efficiently serving 
		up static resources -->
	<mvc:resources mapping="/resources/**"
		location="/resources/" />
		
	<mvc:annotation-driven />

	<!-- Turns on support for mapping requests to Spring MVC @Controller methods. 
		Also registers default message Converters and Formatters for use across all 
		@Controllers 	-->
		
	<!--
	<mvc:annotation-driven conversion-service="conversionService">
		<mvc:message-converters>
			<bean
				class="org.springframework.http.converter.json.MappingJackson2HttpMessageConverter">
				<property name="objectMapper">
					<bean
						class="org.springframework.http.converter.json.Jackson2ObjectMapperFactoryBean">
						<property name="defaultViewInclusion" value="true" />
					</bean>
				</property>
			</bean>
		</mvc:message-converters>
	</mvc:annotation-driven> -->

	<!-- Used by Spring MVC to convert URL parameters to java objects when @ModelAttribute 
		is used -->
	<!--
	<bean id="conversionService"
		class="org.springframework.context.support.ConversionServiceFactoryBean">
		<property name="converters">
			<set>
				<bean
					class="com.softtek.academy.ws.web.converter.StringToNumericRangeConverter" />
			</set>
		</property>
	</bean> -->

</beans>
